Whiteboard Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
The Zoom Whiteboard webhooks allow developers to receive events for Zoom Whiteboard features.
Servers
- URL:
https://{your-endpoint-url}
Operations
whiteboard.shared
- Method:
POST - Path:
whiteboard.shared - Tags: webhook
The Whiteboard was shared event is triggered every time a whiteboard is shared with a Zoom user or a team chat channel by one of your whiteboard collaborators.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard was shared subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectobject(required)object— Information about the whiteboard.collaborators(required)array— Information about the whiteboard collaborators.Items: Any of: collaborator_id(required)string— The collaborator's unique ID.collaborator_type(required)integer, possible values:0, 1, 2— Collaborator type. Enum: *`0` - SAME_ACCOUNT_USER *`1` - EXTERNAL_USER *`2` - CHANNELrole(required)integer, possible values:0, 1, 2, 3, 4— Collaborator permission. Enum: *`0` - OWNER *`1` - CO_OWNER *`2` - EDITOR *`3` - COMMENTER *`4` - VIEWER .channel_idstring— The team chat `channel ID` you want to share with. This response only returns if the `collaborator_type` is `2`. Otherwise it should be null.collaborator_namestring— The collaborator's display name.emailstring, format:email— User email. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details.user_idstring— The collaborator's user ID. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value.
whiteboard_id(required)string— The whiteboard ID.meeting_idstring— The meeting ID. This response only returns the whiteboard is shared in a meeting.meeting_uuidstring— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. This response only returns the whiteboard is shared in a meeting.
operator_collaborator_id(required)string— `not nullable` The unique ID of the collaborator who added users or team chat channels to the whiteboard. Each collaborator will have a ID in a whiteboard.operator_idstring— `nullable` The Zoom user ID of the operator who added users or team chat channels to the whiteboard. It should be null for external user(the user is external to the whiteboard's organization).
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"object": {
"whiteboard_id": "",
"meeting_id": "",
"meeting_uuid": "",
"collaborators": [
{
"collaborator_id": "",
"collaborator_name": "",
"user_id": "",
"email": "",
"channel_id": "",
"collaborator_type": 0,
"role": 0
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.sharing_updated
- Method:
POST - Path:
whiteboard.sharing_updated - Tags: webhook
The Whiteboard collaborator's sharing settings were updated event is triggered every time the of a whiteboard collaborator is updated or removed by one of your whiteboard owners.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard collaborator's sharing settings were updated subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectobject(required)object— Information about the whiteboard collaborators.collaborators(required)array— Information about the effected whiteboard collaborators.Items: Any of: collaborator_id(required)string— The collaborator's ID. * If `collaborator_type` set to `0`, this field refers to a `user ID`. If `collaborator_type` set to `2`, this field refers to a `team chat channel ID`. If `collaborator_type` set to `1`, this returns an empty value.collaborator_type(required)integer, possible values:0, 1, 2— Collaborator type. Enum: *`0` - SAME_ACCOUNT_USER *`1` - EXTERNAL_USER *`2` - CHANNELrole(required)integer, possible values:0, 1, 2, 3, 4— Collaborator permission. Enum: *`0` - OWNER *`1` - CO_OWNER *`2` - EDITOR *`3` - COMMENTER *`4` - VIEWER .channel_idstring— The team chat `channel ID` you want to share with. This response only returns if the `collaborator_type` is `2`. Otherwise it should be null.collaborator_namestring— The collaborator's display name.emailstring— User email. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details.user_idstring— The collaborator's user ID. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value.
whiteboard_id(required)string— The whiteboard ID.
operation_type(required)integer, possible values:0, 1— Operation type. Enum: *`0` - REMOVE *`1` - UPDATEoperator_collaborator_id(required)string— `not nullable` The whiteboard collaborator's universally unique identifier. Each collaborator will have a ID in a whiteboard.operator_idstring— The Zoom user ID of the operator who changed the permission of collaborators of the whiteboard. It should be whiteboard owner user ID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"operation_type": 0,
"object": {
"whiteboard_id": "",
"collaborators": [
{
"collaborator_id": "",
"collaborator_name": "",
"user_id": "",
"email": "",
"channel_id": "",
"collaborator_type": 0,
"role": 0
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.share_settings_updated
- Method:
POST - Path:
whiteboard.share_settings_updated - Tags: webhook
Whiteboard share settings can be updated by a whiteboard owner or co-owners.
The Whiteboard's sharing setting were updated event is triggered every time a whiteboard share setting is updated by whiteboard owner or co-owners.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard's sharing setting were updated subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the whiteboard share settings.object(required)object— Information about the whiteboard.settings(required)object— Information about the whiteboard share settings.advanced_share_settingobject— Information about the whiteboard advanced share settingscan_shareboolean— Indicate whether allow to share whiteboard or not.external_can_shareboolean— Indicate whether the external user is allowed to share whiteboard or not.share_to_externalboolean— Indicate whether allowed to share with user who is in the external organization or not.
share_link_settingobject— Information about the whiteboard share link settings.share_roleinteger, possible values:1, 2, 3, 4— Permission of the shared user.share_scopeinteger, possible values:0, 1, 2— Who can access the share link
whiteboard_id(required)string— The whiteboard ID.
operator(required)string, format:email— The email address of the user who updated the whiteboard share settings.operator_id(required)string— The user ID of the user who updated the whiteboard share settings.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"whiteboard_id": "",
"settings": {
"share_link_setting": {
"share_scope": 0,
"share_role": 1
},
"advanced_share_setting": {
"can_share": true,
"share_to_external": true,
"external_can_share": true
}
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.archive_available
- Method:
POST - Path:
whiteboard.archive_available - Tags: webhook
The Whiteboard archive was available event is emitted whenever a whiteboard archived sessions is successfully generated. This event can be used to notify subscribers when an archive is ready to be accessed.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard archive was available subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who owns the session.object(required)object— Information about the whiteboard.end_time(required)string, format:date-time— The session's end time in UTC/GMT, formatted as `yyyy-MM-dd'T'HH:mm:ssZ`.expire_time(required)string, format:date-time— The expiration time of the archived content in UTC/GMT. After this time, the archived content will be permanently deleted. The value is formatted as `yyyy-MM-dd'T'HH:mm:ssZ`.session_id(required)string— The unique ID of the session. This ID can be used to retrieve all activities under the session via the [List whiteboard sessions activities](https://developers.zoom.us/docs/api/rest/reference/whiteboard/methods/#operation/Listwhiteboardsessionsarchivedfiles) API.start_time(required)string, format:date-time— The session's start time in UTC/GMT, formatted as `yyyy-MM-dd'T'HH:mm:ssZ`.whiteboard_id(required)string— The ID of whiteboard.whiteboard_name(required)string— The name of whiteboard.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "AAAAAABBBB",
"object": {
"session_id": "a2f19f96-9294-4f51-8134-6f0eea108eb2",
"start_time": "2021-03-11T05:41:36Z",
"end_time": "2021-03-11T05:41:36Z",
"whiteboard_id": "HY8-AC_HSou4SXY1S-OmOg",
"whiteboard_name": "example_whiteboard_name",
"expire_time": "2021-03-26T06:41:36Z"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.opened
- Method:
POST - Path:
whiteboard.opened - Tags: webhook
The Whiteboard was opened event is triggered every time a whiteboard is opened.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard was opened subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectobject(required)object— Information about the whiteboard.whiteboard_id(required)string— The whiteboard ID.whiteboard_name(required)string— The whiteboard name.meeting_idstring— The meeting ID. This response only returns the whiteboard opened in a meeting.meeting_uuidstring— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. This response only returns the whiteboard opened in a meeting.
operator_collaborator_id(required)string— `not nullable` The whiteboard collaborator's universally unique identifier of the operator who opened the whiteboard. Each collaborator will have a ID in a whiteboard.operator_idstring— `nullable` The Zoom user ID of the operator who opened the whiteboard. It should be null for external user(the user is external to the whiteboard's organization).
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"meeting_id": "",
"meeting_uuid": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.file_added
- Method:
POST - Path:
whiteboard.file_added - Tags: webhook
The Whiteboard file was added event is triggered when a file is successfully added to a whiteboard.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard file was added subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectobject(required)object— Details of the whiteboard where the file was uploaded.whiteboard_file(required)object— Metadata of the file uploaded to the whiteboard.file_id(required)string— The unique ID of the file in the whiteboard.file_name(required)string— The name of the uploaded file.file_size(required)integer— The size of the uploaded file, in bytes.file_type(required)string— The MIME type or format of the uploaded file.uploaded_ts(required)integer, format:int64— The timestamp when the file was uploaded.
whiteboard_id(required)string— The unique identifier of the whiteboard.whiteboard_name(required)string— The name of the whiteboard.whiteboard_owner_name(required)string— The name of the whiteboard owner.
operator_collaborator_id(required)string— `not nullable` The whiteboard collaborator's universally unique identifier of the operator who uploaded the file.. Each collaborator will have a ID in a whiteboard.operator_name(required)string— The name of the user who uploaded the file.operator_idstring— The user ID of the uploader. `Null` if the user is external to the whiteboard owner's organization.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"operator_name": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"whiteboard_owner_name": "",
"whiteboard_file": {
"file_id": "",
"file_name": "",
"file_size": 1,
"file_type": "",
"uploaded_ts": 1
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.created
- Method:
POST - Path:
whiteboard.created - Tags: webhook
The Whiteboard was created event is triggered every time a whiteboard is created by one of your app users or account users.
Zoom offers multiple methods for users to create a new whiteboard. Users can manually create whiteboards via the Zoom client or the Zoom web portal. Users can also programmatically create whiteboards via the [Create a new whiteboard] API.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard was created subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the whiteboard.object(required)object— Information about the whiteboard.non_cloud(required)boolean— Whether the whiteboard allows to be saved to cloud or not.whiteboard_id(required)string— The whiteboard ID.whiteboard_name(required)string— The whiteboard name.whiteboard_type(required)integer, possible values:0— whiteboard type.meeting_idstring— The meeting ID. This response only returns when the whiteboard created in a meeting.meeting_uuidstring— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. This response only returns when the whiteboard created in a meeting.
operator(required)string, format:email— The email address of the user who created the whiteboard.operator_id(required)string— The user ID of the user who created the whiteboard.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"whiteboard_type": 0,
"non_cloud": true,
"meeting_id": "",
"meeting_uuid": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
whiteboard.deleted
- Method:
POST - Path:
whiteboard.deleted - Tags: webhook
The Whiteboard deleted event is triggered every time a whiteboard is delete by one of your app users or account users.
Prerequisites
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Whiteboard deleted subscription enabled under the Whiteboard event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the whiteboard.object(required)object— Information about the whiteboard.non_cloud(required)boolean— Whether the whiteboard allows to be saved to cloud or not.whiteboard_id(required)string— The whiteboard ID.whiteboard_name(required)string— The whiteboard name.whiteboard_type(required)integer, possible values:0— whiteboard type.
operator(required)string, format:email— The email address of the user who deleted the whiteboard.operator_id(required)string— The user ID of the user who deleted the whiteboard.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"whiteboard_type": 0,
"non_cloud": true,
"additionalProperty": "anything"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Whiteboard.sharedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectobject(required)object— Information about the whiteboard.collaborators(required)array— Information about the whiteboard collaborators.Items: Any of: collaborator_id(required)string— The collaborator's unique ID.collaborator_type(required)integer, possible values:0, 1, 2— Collaborator type. Enum: *`0` - SAME_ACCOUNT_USER *`1` - EXTERNAL_USER *`2` - CHANNELrole(required)integer, possible values:0, 1, 2, 3, 4— Collaborator permission. Enum: *`0` - OWNER *`1` - CO_OWNER *`2` - EDITOR *`3` - COMMENTER *`4` - VIEWER .channel_idstring— The team chat `channel ID` you want to share with. This response only returns if the `collaborator_type` is `2`. Otherwise it should be null.collaborator_namestring— The collaborator's display name.emailstring, format:email— User email. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details.user_idstring— The collaborator's user ID. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value.
whiteboard_id(required)string— The whiteboard ID.meeting_idstring— The meeting ID. This response only returns the whiteboard is shared in a meeting.meeting_uuidstring— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. This response only returns the whiteboard is shared in a meeting.
operator_collaborator_id(required)string— `not nullable` The unique ID of the collaborator who added users or team chat channels to the whiteboard. Each collaborator will have a ID in a whiteboard.operator_idstring— `nullable` The Zoom user ID of the operator who added users or team chat channels to the whiteboard. It should be null for external user(the user is external to the whiteboard's organization).
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"object": {
"whiteboard_id": "",
"meeting_id": "",
"meeting_uuid": "",
"collaborators": [
{
"collaborator_id": "",
"collaborator_name": "",
"user_id": "",
"email": "",
"channel_id": "",
"collaborator_type": 0,
"role": 0
}
]
}
}
}Whiteboard.sharing_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectobject(required)object— Information about the whiteboard collaborators.collaborators(required)array— Information about the effected whiteboard collaborators.Items: Any of: collaborator_id(required)string— The collaborator's ID. * If `collaborator_type` set to `0`, this field refers to a `user ID`. If `collaborator_type` set to `2`, this field refers to a `team chat channel ID`. If `collaborator_type` set to `1`, this returns an empty value.collaborator_type(required)integer, possible values:0, 1, 2— Collaborator type. Enum: *`0` - SAME_ACCOUNT_USER *`1` - EXTERNAL_USER *`2` - CHANNELrole(required)integer, possible values:0, 1, 2, 3, 4— Collaborator permission. Enum: *`0` - OWNER *`1` - CO_OWNER *`2` - EDITOR *`3` - COMMENTER *`4` - VIEWER .channel_idstring— The team chat `channel ID` you want to share with. This response only returns if the `collaborator_type` is `2`. Otherwise it should be null.collaborator_namestring— The collaborator's display name.emailstring— User email. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value. See [Email address display rules](https://marketplace.zoom.us/docs/api-reference/using-zoom-apis#email-address) for details.user_idstring— The collaborator's user ID. This response only returns if the `collaborator_type` is `0`. If the `collaborator_type` is **not** `0`, this returns null value.
whiteboard_id(required)string— The whiteboard ID.
operation_type(required)integer, possible values:0, 1— Operation type. Enum: *`0` - REMOVE *`1` - UPDATEoperator_collaborator_id(required)string— `not nullable` The whiteboard collaborator's universally unique identifier. Each collaborator will have a ID in a whiteboard.operator_idstring— The Zoom user ID of the operator who changed the permission of collaborators of the whiteboard. It should be whiteboard owner user ID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"operation_type": 0,
"object": {
"whiteboard_id": "",
"collaborators": [
{
"collaborator_id": "",
"collaborator_name": "",
"user_id": "",
"email": "",
"channel_id": "",
"collaborator_type": 0,
"role": 0
}
]
}
}
}Whiteboard.share_settings_updatedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who updated the whiteboard share settings.object(required)object— Information about the whiteboard.settings(required)object— Information about the whiteboard share settings.advanced_share_settingobject— Information about the whiteboard advanced share settingscan_shareboolean— Indicate whether allow to share whiteboard or not.external_can_shareboolean— Indicate whether the external user is allowed to share whiteboard or not.share_to_externalboolean— Indicate whether allowed to share with user who is in the external organization or not.
share_link_settingobject— Information about the whiteboard share link settings.share_roleinteger, possible values:1, 2, 3, 4— Permission of the shared user.share_scopeinteger, possible values:0, 1, 2— Who can access the share link
whiteboard_id(required)string— The whiteboard ID.
operator(required)string, format:email— The email address of the user who updated the whiteboard share settings.operator_id(required)string— The user ID of the user who updated the whiteboard share settings.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"whiteboard_id": "",
"settings": {
"share_link_setting": {
"share_scope": 0,
"share_role": 1
},
"advanced_share_setting": {
"can_share": true,
"share_to_external": true,
"external_can_share": true
}
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Whiteboard.archive_availableEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who owns the session.object(required)object— Information about the whiteboard.end_time(required)string, format:date-time— The session's end time in UTC/GMT, formatted as `yyyy-MM-dd'T'HH:mm:ssZ`.expire_time(required)string, format:date-time— The expiration time of the archived content in UTC/GMT. After this time, the archived content will be permanently deleted. The value is formatted as `yyyy-MM-dd'T'HH:mm:ssZ`.session_id(required)string— The unique ID of the session. This ID can be used to retrieve all activities under the session via the [List whiteboard sessions activities](https://developers.zoom.us/docs/api/rest/reference/whiteboard/methods/#operation/Listwhiteboardsessionsarchivedfiles) API.start_time(required)string, format:date-time— The session's start time in UTC/GMT, formatted as `yyyy-MM-dd'T'HH:mm:ssZ`.whiteboard_id(required)string— The ID of whiteboard.whiteboard_name(required)string— The name of whiteboard.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "AAAAAABBBB",
"object": {
"session_id": "a2f19f96-9294-4f51-8134-6f0eea108eb2",
"start_time": "2021-03-11T05:41:36Z",
"end_time": "2021-03-11T05:41:36Z",
"whiteboard_id": "HY8-AC_HSou4SXY1S-OmOg",
"whiteboard_name": "example_whiteboard_name",
"expire_time": "2021-03-26T06:41:36Z"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}Whiteboard.openedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectobject(required)object— Information about the whiteboard.whiteboard_id(required)string— The whiteboard ID.whiteboard_name(required)string— The whiteboard name.meeting_idstring— The meeting ID. This response only returns the whiteboard opened in a meeting.meeting_uuidstring— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. This response only returns the whiteboard opened in a meeting.
operator_collaborator_id(required)string— `not nullable` The whiteboard collaborator's universally unique identifier of the operator who opened the whiteboard. Each collaborator will have a ID in a whiteboard.operator_idstring— `nullable` The Zoom user ID of the operator who opened the whiteboard. It should be null for external user(the user is external to the whiteboard's organization).
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"meeting_id": "",
"meeting_uuid": ""
}
}
}Whiteboard.file_addedEvent
- Type:
object
event(required)string— The event name.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectobject(required)object— Details of the whiteboard where the file was uploaded.whiteboard_file(required)object— Metadata of the file uploaded to the whiteboard.file_id(required)string— The unique ID of the file in the whiteboard.file_name(required)string— The name of the uploaded file.file_size(required)integer— The size of the uploaded file, in bytes.file_type(required)string— The MIME type or format of the uploaded file.uploaded_ts(required)integer, format:int64— The timestamp when the file was uploaded.
whiteboard_id(required)string— The unique identifier of the whiteboard.whiteboard_name(required)string— The name of the whiteboard.whiteboard_owner_name(required)string— The name of the whiteboard owner.
operator_collaborator_id(required)string— `not nullable` The whiteboard collaborator's universally unique identifier of the operator who uploaded the file.. Each collaborator will have a ID in a whiteboard.operator_name(required)string— The name of the user who uploaded the file.operator_idstring— The user ID of the uploader. `Null` if the user is external to the whiteboard owner's organization.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"operator_id": "",
"operator_collaborator_id": "",
"operator_name": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"whiteboard_owner_name": "",
"whiteboard_file": {
"file_id": "",
"file_name": "",
"file_size": 1,
"file_type": "",
"uploaded_ts": 1
}
}
}
}Whiteboard.createdEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the whiteboard.object(required)object— Information about the whiteboard.non_cloud(required)boolean— Whether the whiteboard allows to be saved to cloud or not.whiteboard_id(required)string— The whiteboard ID.whiteboard_name(required)string— The whiteboard name.whiteboard_type(required)integer, possible values:0— whiteboard type.meeting_idstring— The meeting ID. This response only returns when the whiteboard created in a meeting.meeting_uuidstring— The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID. This response only returns when the whiteboard created in a meeting.
operator(required)string, format:email— The email address of the user who created the whiteboard.operator_id(required)string— The user ID of the user who created the whiteboard.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"whiteboard_type": 0,
"non_cloud": true,
"meeting_id": "",
"meeting_uuid": ""
}
}
}Whiteboard.deletedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the whiteboard.object(required)object— Information about the whiteboard.non_cloud(required)boolean— Whether the whiteboard allows to be saved to cloud or not.whiteboard_id(required)string— The whiteboard ID.whiteboard_name(required)string— The whiteboard name.whiteboard_type(required)integer, possible values:0— whiteboard type.
operator(required)string, format:email— The email address of the user who deleted the whiteboard.operator_id(required)string— The user ID of the user who deleted the whiteboard.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"whiteboard_id": "",
"whiteboard_name": "",
"whiteboard_type": 0,
"non_cloud": true,
"additionalProperty": "anything"
},
"additionalProperty": "anything"
},
"additionalProperty": "anything"
}